Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.NEP.Type

class slepc4py.SLEPc.NEP.Type

  Bases: `object`

  NEP type.

  Nonlinear eigensolvers.

  - `RII`: Residual inverse iteration.

  - `SLP`: Successive linear problems.

  - `NARNOLDI`: Nonlinear Arnoldi.

  - `CISS`: Contour integral spectrum slice.

  - `INTERPOL`: Polynomial interpolation.

  - `NLEIGS`: Fully rational Krylov method for nonlinear eigenproblems.

  Attributes Summary

  `CISS` | Object `CISS` of type `str`
  `INTERPOL` | Object `INTERPOL` of type `str`
  `NARNOLDI` | Object `NARNOLDI` of type `str`
  `NLEIGS` | Object `NLEIGS` of type `str`
  `RII` | Object `RII` of type `str`
  `SLP` | Object `SLP` of type `str`

  Attributes Documentation

  CISS: str = CISS

    Object `CISS` of type `str`

  INTERPOL: str = INTERPOL

    Object `INTERPOL` of type `str`

  NARNOLDI: str = NARNOLDI

    Object `NARNOLDI` of type `str`

  NLEIGS: str = NLEIGS

    Object `NLEIGS` of type `str`

  RII: str = RII

    Object `RII` of type `str`

  SLP: str = SLP

    Object `SLP` of type `str`